Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Parser_Registry Class Reference

Maintain the collection of known IOR format parsers. More...

`#include <Parser_Registry.h>`

Collaboration diagram for TAO_Parser_Registry:

[legend]
List of all members.

## Public Types
typedef TAO_IOR_Parser ** | Parser_Iterator
## Public Methods
| TAO_Parser_Registry (void)
| Default constructor.
| ~TAO_Parser_Registry (void)
| Dstructor.
int | open (TAO_ORB_Core *orb_core)
TAO_IOR_Parser * | match_parser (const char *ior_string)
Parser_Iterator | begin (void) const
Parser_Iterator | end (void) const
## Private Methods
| TAO_Parser_Registry (const TAO_Parser_Registry &)
void | operator= (const TAO_Parser_Registry &)
## Private Attributes
TAO_IOR_Parser ** | parsers_
| List of parsers.
size_t | size_
| Number of parsers.

## Detailed Description

Maintain the collection of known IOR format parsers.

The ORB dynamically loads a collection of IOR parsers (check the IOR_Parser class). The collection is kept in this class for easy lookup and use.

## Member Typedef Documentation

typedef TAO_IOR_Parser** TAO_Parser_Registry::Parser_Iterator

## Constructor & Destructor Documentation

TAO_Parser_Registry::TAO_Parser_Registry | ( | void |  | ) |

| Default constructor.

TAO_Parser_Registry::~TAO_Parser_Registry | ( | void |  | ) |

| Dstructor.

TAO_Parser_Registry::TAO_Parser_Registry | ( | const TAO_Parser_Registry & |  | ) | `[private]`

## Member Function Documentation

ACE_INLINE TAO_Parser_Registry::Parser_Iterator TAO_Parser_Registry::begin | ( | void |  | ) | const

ACE_INLINE TAO_Parser_Registry::Parser_Iterator TAO_Parser_Registry::end | ( | void |  | ) | const

TAO_IOR_Parser * TAO_Parser_Registry::match_parser | ( | const char * | ior_string | ) |

| Find the parser that can parse <ior_string> The lookup is based on the prefix in the string

int TAO_Parser_Registry::open | ( | TAO_ORB_Core * | orb_core | ) |

| Initialize the parser registry with the list of known protocols. Invoked by the ORB during startup.

void TAO_Parser_Registry::operator= | ( | const TAO_Parser_Registry & |  | ) | `[private]`

## Member Data Documentation

TAO_IOR_Parser** TAO_Parser_Registry::parsers_`[private]`

| List of parsers.

size_t TAO_Parser_Registry::size_`[private]`

| Number of parsers.

The documentation for this class was generated from the following files:

- Parser_Registry.h
- Parser_Registry.cpp
- Parser_Registry.i